org.apache.jmeter.control

## Class RandomController

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.control.GenericController
    - - org.apache.jmeter.control.InterleaveControl
      - - org.apache.jmeter.control.RandomController

All Implemented Interfaces:
  Serializable, Cloneable, Controller, Searchable, TestElement, TestCompilerHelper

    public class RandomController
    extends InterleaveControl
    implements Serializable

Controller that rans randomly one of it's children on each iteration

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.jmeter.control.InterleaveControl

`IGNORE_SUB_CONTROLLERS, USE_SUB_CONTROLLERS`

### Fields inherited from class org.apache.jmeter.control.GenericController

`current, subControllersAndSamplers`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`RandomController()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `incrementCurrent()` Increments the current pointer; called by currentReturnedNull to move the controller on to its next child.
`protected void` `resetCurrent()`

### Methods inherited from class org.apache.jmeter.control.InterleaveControl

`currentReturnedNull, getInterleaveAccrossThreads, getStyle, initialize, isSkipNext, next, nextIsAController, nextIsASampler, nextIsNull, reInitialize, setCurrentElement, setInterleaveAccrossThreads, setSkipNext, setStyle`

### Methods inherited from class org.apache.jmeter.control.GenericController

`addIterationListener, addTestElement, addTestElementOnce, fireIterationStart, fireIterEvents, getCurrentElement, getIterCount, getSubControllers, incrementIterCount, initializeSubControllers, isDone, isFirst, readResolve, removeCurrentElement, removeIterationListener, resetIterCount, setDone, setFirst, triggerEndOfLoop`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removed, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

### Constructor Detail

#### RandomController

    public RandomController()

### Method Detail

#### resetCurrent

    protected void resetCurrent()

Overrides:
  `resetCurrent` in class `GenericController`
See Also:
  `GenericController.resetCurrent()`

#### incrementCurrent

    protected void incrementCurrent()

Description copied from class: `InterleaveControl`
Increments the current pointer; called by currentReturnedNull to move the controller on to its next child.

Overrides:
  `incrementCurrent` in class `InterleaveControl`
See Also:
  `GenericController.incrementCurrent()`